Bug 894382 - VdsDAO.getAllWithName returns List - but the name is unieque
VdsDAO.getAllWithName returns List - but the name is unieque
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Martin Perina
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-11 10:50 EST by Laszlo Hornyak
Modified: 2013-09-30 19:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:34:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 13827 None None None Never

  None (edit)
Description Laszlo Hornyak 2013-01-11 10:50:59 EST
Description of problem:
VdsDAO.getAllWithName returns List - but the name is unieque, so it can return an empty list or a list with a single element

How reproducible:
100%
Comment 1 Itamar Heim 2013-08-21 12:41:28 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 2 Itamar Heim 2013-09-23 03:34:22 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.